Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ias.scheduler
Interface JobContext

All Superinterfaces:
  java.io.Serializable

public interface JobContext
extends java.io.Serializable

This is the interface defines the contract between an executing job instance and the Job Scheduler.

See Also:
  `Executable`

Method Summary
`Job` | `getJob()` Retrieves the job
`java.util.logging.Logger` | `getLogger()` Retrieves the execution logger.
`java.util.logging.Logger` | `getLogger(java.lang.String resourceBundleName)` Retrieves the execution logger that uses the specified resource bundle.
`java.lang.String` | `getNotificationName()` Retrieves the Notification name that resulted in this job execution
`SchedulerHandle` | `getSchedulerHandle()` Retrieves the SchedulerHandle

Method Detail

### getJob

    public Job getJob()

  Retrieves the job

### getLogger

    public java.util.logging.Logger getLogger()

  Retrieves the execution logger. This logger is not associated with a resource bundle.

### getLogger

    public java.util.logging.Logger getLogger(java.lang.String resourceBundleName)

  Retrieves the execution logger that uses the specified resource bundle. The resource bundle must be specified with the job classes

  Throws:
    `throws` - java.lang.NullPointerException if resourceBundleName is null

### getSchedulerHandle

    public SchedulerHandle getSchedulerHandle()

  Retrieves the SchedulerHandle

### getNotificationName

    public java.lang.String getNotificationName()

  Retrieves the Notification name that resulted in this job execution

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.